<?php
/**
 * 
 * @file inc_general.php
 * @copyright (c) 2005 - 2007 eifr.com
 * @license http://www.gnu.org/copyleft/gpl.html gnu/gpl
 * eifr is free software
 */
session_start();
require_once(dirname(__FILE__) . '/inc_base.php');
require_once(EIFR_ROOT . 'includes/table.php');
require_once(EIFR_ROOT . 'includes/conn.php');
require_once(EIFR_ROOT . 'libraries/session.php');
require_once(EIFR_ROOT . 'libraries/function.php');
require_once(EIFR_ROOT . 'libraries/format.php');
require_once(EIFR_ROOT . 'libraries/cache.php');
require_once(EIFR_ROOT . 'libraries/common.php');
require_once(EIFR_ROOT . 'libraries/layout_data.php');
require_once(EIFR_ROOT . 'libraries/cart.php');


$sys_charset = SYS_CHARSET;
$sys_weburl = SYS_WEBURL;
$sys_path = DIR_INSTALL;

$sys_title = SYS_TITLE;
$soft_name = SOFT_NAME;
$soft_version = SOFT_VERSION;
$soft_copyright = SOFT_COPYRIGHT;
$soft_weburl = SOFT_WEBURL;

$uid = getCookie(COOKIE_UID);
$username = getCookie(COOKIE_USERNAME);
$nickname = getCookie(COOKIE_NICKNAME);
$url = $_SERVER['PHP_SELF'];
if ($_SERVER['QUERY_STRING']) $url .= '?' . $_SERVER['QUERY_STRING'];

$tpl_file = kGet('tpl_file'); // for preview template file
$is_preview = false;
$layout_foot_js = getCookie(COOKIE_PREVIEW_FOOTJS);
delCookie(COOKIE_PREVIEW_FOOTJS);
if ($layout_foot_js != '') {
    $is_preview = true;
} 
$channel_root_array = getChannel_root();
$search_select = createChannelsSelect();
$navigation = '';
?>
